# python/rpmmodule.c File Reference

`#include "system.h"`
`#include <rpmio_internal.h>`
`#include <rpmsq.h>`
`#include <rpmtag.h>`
`#include <rpmevr.h>`
`#include <rpmdb.h>`
`#include <rpmcli.h>`
`#include "legacy.h"`
`#include "misc.h"`
`#include "header-py.h"`
`#include "rpmal-py.h"`
`#include "rpmds-py.h"`
`#include "rpmfd-py.h"`
`#include "rpmfts-py.h"`
`#include "rpmfi-py.h"`
`#include "rpmmacro-py.h"`
`#include "rpmmi-py.h"`
`#include "rpmps-py.h"`
`#include "rpmte-py.h"`
`#include "rpmts-py.h"`
`#include "spec-py.h"`
`#include "debug.h"`

Include dependency graph for rpmmodule.c:

Go to the source code of this file.

## Module: rpm

PyObject * | pyrpmError
sigset_t | rpmsqCaught
typedef int | Py_ssize_t
static PyObject * | archScore (PyObject *self, PyObject *args, PyObject *kwds)
static PyObject * | platformScore (PyObject *self, PyObject *args, PyObject *kwds)
static PyObject * | signalsCaught (PyObject *self, PyObject *check)
static PyObject * | checkSignals (PyObject *self, PyObject *args)
static PyObject * | setLogFile (PyObject *self, PyObject *args, PyObject *kwds)
static PyObject * | setVerbosity (PyObject *self, PyObject *args, PyObject *kwds)
static PyObject * | setEpochPromote (PyObject *self, PyObject *args, PyObject *kwds)
static PyObject * | setStats (PyObject *self, PyObject *args, PyObject *kwds)

## Defines

#define | _RPMTAG_INTERNAL
#define | _RPMEVR_INTERNAL
#define | REGISTER_ENUM(val)

## Functions

static void | rpm_exithook (void)
void | init_rpm (void)

## Variables

static PyMethodDef | rpmModuleMethods []
static char | rpm__doc__ []

## Detailed Description

Definition in file rpmmodule.c.

## Define Documentation

#define _RPMEVR_INTERNAL

Definition at line 11 of file rpmmodule.c.

#define _RPMTAG_INTERNAL

Definition at line 9 of file rpmmodule.c.

#define REGISTER_ENUM | ( | val |  | ) |

Value:

    PyDict_SetItemString(d, #val, o=PyInt_FromLong( val )); \
        Py_DECREF(o);

Referenced by init_rpm().

## Function Documentation

void init_rpm | ( | void |  | ) |

Definition at line 275 of file rpmmodule.c.

References _RPMVSF_NODIGESTS, _RPMVSF_NOHEADER, _RPMVSF_NOPAYLOAD, _RPMVSF_NOSIGNATURES, hdr_Type, pyrpmError, REGISTER_ENUM, rpm_exithook(), RPMAL_NOMATCH, rpmal_Type, RPMCALLBACK_CPIO_ERROR, RPMCALLBACK_INST_CLOSE_FILE, RPMCALLBACK_INST_OPEN_FILE, RPMCALLBACK_INST_PROGRESS, RPMCALLBACK_INST_START, RPMCALLBACK_REPACKAGE_PROGRESS, RPMCALLBACK_REPACKAGE_START, RPMCALLBACK_REPACKAGE_STOP, RPMCALLBACK_SCRIPT_ERROR, RPMCALLBACK_TRANS_PROGRESS, RPMCALLBACK_TRANS_START, RPMCALLBACK_TRANS_STOP, RPMCALLBACK_UNINST_PROGRESS, RPMCALLBACK_UNINST_START, RPMCALLBACK_UNINST_STOP, RPMCALLBACK_UNKNOWN, RPMCALLBACK_UNPACK_ERROR, RPMDBI_PACKAGES, RPMDEP_SENSE_CONFLICTS, RPMDEP_SENSE_REQUIRES, RPMDEPS_FLAG_ADDINDEPS, RPMDEPS_FLAG_ANACONDA, RPMDEPS_FLAG_DEPLOOPS, RPMDEPS_FLAG_NOCONFLICTS, RPMDEPS_FLAG_NOLINKTOS, RPMDEPS_FLAG_NOOBSOLETES, RPMDEPS_FLAG_NOPARENTDIRS, RPMDEPS_FLAG_NOREQUIRES, RPMDEPS_FLAG_NOSUGGEST, RPMDEPS_FLAG_NOUPGRADE, rpmds_Type, rpmfd_Type, rpmfi_Type, RPMFILE_CONFIG, RPMFILE_DOC, RPMFILE_EXCLUDE, RPMFILE_GHOST, RPMFILE_ICON, RPMFILE_LICENSE, RPMFILE_MISSINGOK, RPMFILE_NOREPLACE, RPMFILE_PUBKEY, RPMFILE_README, RPMFILE_STATE_NETSHARED, RPMFILE_STATE_NORMAL, RPMFILE_STATE_NOTINSTALLED, RPMFILE_STATE_REPLACED, RPMFILE_STATE_WRONGCOLOR, RPMFILE_UNPATCHED, rpmfts_Type, rpmHeaderFormats, RPMLOG_ALERT, RPMLOG_CRIT, RPMLOG_DEBUG, RPMLOG_EMERG, RPMLOG_ERR, RPMLOG_INFO, RPMLOG_NOTICE, RPMLOG_WARNING, rpmmi_Type, rpmModuleMethods, RPMPROB_BADARCH, RPMPROB_BADOS, RPMPROB_BADPRETRANS, RPMPROB_BADRELOCATE, RPMPROB_CONFLICT, RPMPROB_DISKNODES, RPMPROB_DISKSPACE, RPMPROB_FILE_CONFLICT, RPMPROB_FILTER_DISKNODES, RPMPROB_FILTER_DISKSPACE, RPMPROB_FILTER_FORCERELOCATE, RPMPROB_FILTER_IGNOREARCH, RPMPROB_FILTER_IGNOREOS, RPMPROB_FILTER_OLDPACKAGE, RPMPROB_FILTER_REPLACENEWFILES, RPMPROB_FILTER_REPLACEOLDFILES, RPMPROB_FILTER_REPLACEPKG, RPMPROB_NEW_FILE_CONFLICT, RPMPROB_OLDPACKAGE, RPMPROB_PKG_INSTALLED, RPMPROB_REQUIRES, rpmps_Type, rpmReadConfigFiles(), RPMSENSE_EQUAL, RPMSENSE_GREATER, RPMSENSE_LESS, RPMSENSE_NOTEQUAL, rpmTagTable, rpmte_Type, RPMTRANS_FLAG_ALLFILES, RPMTRANS_FLAG_BUILD_PROBS, RPMTRANS_FLAG_JUSTDB, RPMTRANS_FLAG_KEEPOBSOLETE, RPMTRANS_FLAG_NOCONFIGS, RPMTRANS_FLAG_NODOCS, RPMTRANS_FLAG_NOFDIGESTS, RPMTRANS_FLAG_NOPOST, RPMTRANS_FLAG_NOPOSTUN, RPMTRANS_FLAG_NOPRE, RPMTRANS_FLAG_NOPREUN, RPMTRANS_FLAG_NOSCRIPTS, RPMTRANS_FLAG_NOTRIGGERIN, RPMTRANS_FLAG_NOTRIGGERPOSTUN, RPMTRANS_FLAG_NOTRIGGERPREIN, RPMTRANS_FLAG_NOTRIGGERS, RPMTRANS_FLAG_NOTRIGGERUN, RPMTRANS_FLAG_REPACKAGE, RPMTRANS_FLAG_TEST, rpmts_Type, RPMVSF_DEFAULT, RPMVSF_NEEDPAYLOAD, RPMVSF_NODSA, RPMVSF_NODSAHEADER, RPMVSF_NOHDRCHK, RPMVSF_NOMD5, RPMVSF_NOMD5HEADER, RPMVSF_NORSA, RPMVSF_NORSAHEADER, RPMVSF_NOSHA1, RPMVSF_NOSHA1HEADER, spec_Type, TR_ADDED, TR_REMOVED, VERIFY_DIGEST, and VERIFY_SIGNATURE.

static void rpm_exithook | ( | void |  | ) | `[static]`

Definition at line 262 of file rpmmodule.c.

References rpmdbCheckTerminate().

Referenced by init_rpm().

## Variable Documentation

char rpm__doc__[]`[static]`

Initial value:

    ""

Definition at line 269 of file rpmmodule.c.

PyMethodDef rpmModuleMethods[]`[static]`

Definition at line 205 of file rpmmodule.c.

Referenced by init_rpm().